Bug 1328233 - Switch catfish to Python 3
Summary: Switch catfish to Python 3
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: catfish   
(Show other bugs)
Version: 25
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: PYTHON3 PY3PATCH-AVAILABLE
TreeView+ depends on / blocked
 
Reported: 2016-04-18 19:17 UTC by John Dulaney
Modified: 2016-08-17 13:22 UTC (History)
7 users (show)

Fixed In Version: catfish-1.4.2-2.fc26
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-17 13:22:23 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
0001-Remove-unnecessary-shebangs.patch (4.95 KB, application/mbox)
2016-04-18 21:56 UTC, John Dulaney
no flags Details
catfish.spec (9.65 KB, text/x-rpm-spec)
2016-04-18 21:57 UTC, John Dulaney
no flags Details

Description John Dulaney 2016-04-18 19:17:16 UTC
catfish upstream supports python3.  I am modifying the spec file to support it, and will post the patch here.

Comment 1 John Dulaney 2016-04-18 21:56 UTC
Created attachment 1148285 [details]
0001-Remove-unnecessary-shebangs.patch

Noticed that there were a few stray shebangs that are unnecessary and cause rpmlint errors; this patch removes them.

Comment 2 John Dulaney 2016-04-18 21:57 UTC
Created attachment 1148286 [details]
catfish.spec

Updated spec file that builds the python3 variant

Comment 3 John Dulaney 2016-04-18 21:58:57 UTC
I note that I also removed the Group tag from the spec file, as that is no longer needed.

Scratch build can be found here:

http://koji.fedoraproject.org/koji/taskinfo?taskID=13703695

Comment 4 Miro Hrončok 2016-05-13 14:07:51 UTC
(In reply to John Dulaney from comment #1)
> Created attachment 1148285 [details]
> 0001-Remove-unnecessary-shebangs.patch
> 
> Noticed that there were a few stray shebangs that are unnecessary and cause
> rpmlint errors; this patch removes them.

Maybe do it with sed in spec, so it dos not have to be rebased with new releases?

http://python-rpm-porting.readthedocs.io/en/latest/applications.html#fixing-shebangs

Comment 5 Tomas Orsava 2016-05-19 08:32:16 UTC
Hi John!
Thank you for taking the time to make patch for Python 3!
However, the required practice is that stray shebangs have to be removed in some automatic way—preferably using the `sed` tool. You can read detailed instructions on how to do it in the Python RPM Porting Guide, section on Shebangs [0].

The patch you posted that removes the shebangs will only work on the current version of the source code, so with every release the packager might have to made a new patch, which is why this way is ill advised.

[0] http://python-rpm-porting.readthedocs.io/en/latest/applications.html#fixing-shebangs

Thank you very much for your time!

Comment 6 Jan Kurik 2016-07-26 04:49:40 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 7 Lumír Balhar 2016-08-08 06:59:46 UTC
Hi.

Is there any problem with adding `sed` to specfile? Can I help you with something?

Do not hesitate to contact me for any help.

Comment 8 Mamoru TASAKA 2016-08-17 13:22:23 UTC
* Wed Aug 17 2016 Mamoru TASAKA <mtasaka@fedoraproject.org> - 1.4.2-2
- Support python3 for F-25+ (only)


Note You need to log in before you can comment on or make changes to this bug.